Ingest persist events

Requires the METER_DATA.INGEST permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstring or nullRequired
The resource ID of the associated customer.
pricing_idstringRequired
The resource ID of the associated pricing.
pricing_item_idstringRequired
The resource ID of the associated pricing item.
pricing_item_config_idstringRequired
The resource ID of the associated pricing item config.
pricing_plan_subscription_idstring or nullRequired
The resource ID of the associated pricing plan subscription.
customer_referencestring or nullOptional
A custom reference assigned to the customer.
pricing_plan_subscription_referencestring or nullOptional
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobjectOptional
A selector to dynamically determine the subscription to use.
referencestring or nullOptionalformat: "^[a-zA-Z0-9_\-]*"0-256 characters
periodobjectOptional
persist_usagestring or nullOptional
persist_included_volumestring or nullOptional
persist_charged_volumeboolean or nullOptional
persist_rollover_volumeboolean or nullOptional
set_rollover_volumeboolean or nullOptional
included_volumeobjectOptional
timestampdatetime or nullOptional
The associated timestamp presented in the ISO 8601 standard of the persist event, if not provided it will be set to 'now'.
reprocess_idstringOptional
is_last_reprocess_itembooleanOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
The resource ID of the associated customer.
customer_referencestring or null
A custom reference assigned to the customer.
pricing_idstring
The resource ID of the associated pricing.
pricing_item_idstring
The resource ID of the associated pricing item.
pricing_item_config_idstring
The resource ID of the associated pricing item config.
pricing_plan_subscription_idstring or null
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or null
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobject
A selector to dynamically determine the subscription to use.
referencestring or nullformat: "^[a-zA-Z0-9_\-]*"0-256 characters
periodobject
persist_usagestring or null
persist_included_volumestring or null
persist_charged_volumeboolean or null
persist_rollover_volumeboolean or null
set_rollover_volumeboolean or null
included_volumeobject
timestampdatetime or null
The associated timestamp presented in the ISO 8601 standard of the persist event, if not provided it will be set to 'now'.
reprocess_idstring
is_last_reprocess_itemboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error